pydo.connections.delete()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.connections.delete(id="39f9f768-a7f9-4c91-9557-3328c53dd054")
Returns JSONRaises HttpResponseError

Description

Marks the connection revoked and returns it; for an OAuth connection, its stored tokens are deleted first. Creating a connection for the same provider and user_id later reuses the same ID. Only the user who created the connection can delete it; for anyone else it is 404.

Parameters

id string required

Connection ID.

Response Example

Show Response Example
{
  "connection": {
    "id": "39f9f768-a7f9-4c91-9557-3328c53dd054",
    "provider": "jira",
    "provider_display_name": "Jira",
    "user_id": "alice",
    "status": "revoked",
    "created_at": "2026-07-14T00:50:00Z",
    "updated_at": "2026-08-01T09:00:00Z",
    "revoked_at": "2026-08-01T09:00:00Z",
    "connection_parameters": {
      "site_url": "https://example.atlassian.net"
    },
    "credential_kind": "digitalocean_oauth",
    "credential_id": "",
    "network": null,
    "scopes": [
      "write:jira-work"
    ],
    "granted_at": "2026-07-14T00:52:10Z",
    "oauth": {
      "scopes": [
        "write:jira-work"
      ],
      "granted_at": "2026-07-14T00:52:10Z"
    }
  }
}

More Information

See /v2/action-gateway/connections/{id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.